# How to Contribute

We'd love to accept your patches and contributions to this project. There are
just a few small guidelines you need to follow.

In this repository, we are looking for patches that:
* Improve readibility
* Fix bugs
* Improve clarity and understandability

If you want to contribute a full sample / tutorial, please consider contributing to our [community pages](https://cloud.google.com/community) [[How To](https://cloud.google.com/community/tutorials/write)] ([code](https://github.com/GoogleCloudPlatform/community)).

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License
Agreement. You (or your employer) retain the copyright to your contribution;
this simply gives us permission to use and redistribute your contributions as
part of the project. Head over to <https://cla.developers.google.com/> to see
your current agreements on file or to sign a new one.

You generally only need to submit a CLA once, so if you've already submitted one
(even if it was for a different project), you probably don't need to do it
again.

## Style

All code should follow the [Sample Format Guidelines](SAMPLE_FORMAT.md)

## Code reviews

Change to samples should be reviewed by both a product stakeholder for accuracy as well as a member
of java-samples-reviewers@ to ensure the sample format and best practices for Java are used.

All submissions, including submissions by project members, require review. We
use GitHub pull requests for this purpose. Consult
[GitHub Help](https://help.github.com/articles/about-pull-requests/) for more
information on using pull requests.

## Community Guidelines

This project follows 
[Google's Open Source Community Guidelines](https://opensource.google/conduct/).

## Abandoned PR's

PR's with no activity for over a month will be considered abandoned and will be closed.
